prefilter {xps} | R Documentation

## Function for Applying a PreFilter to an ExprTreeSet

### Description

This function applies a `PreFilter` to an `ExprTreeSet`.

### Usage

    prefilter(xps.expr,
              filename   = character(0),
              filedir    = getwd(),
              filter     = NULL,
              minfilters = 999,
              logbase    = "log2",
              treename   = "PreFilter",
              xps.call   = NULL,
              verbose    = TRUE)

    xpsPreFilter(object, ...)

### Arguments

`xps.expr` | object of class `ExprTreeSet`.
`filename` | file name of ROOT filter file.
`filedir` | system directory where ROOT filter file should be stored.
`filter` | object of class `PreFilter`.
`minfilters` | minimum number of initialized filter methods to satisfy (default is all filters).
`logbase` | convert data to logarithm of base: `"0"`, `"log"`, `"log2"` (default), `"log10"`
`treename` | tree name to be used in ROOT filter file.
`xps.call` | optional object of class `CallTreeSet`.
`verbose` | logical, if `TRUE` print status information.
`object` | object of class `ExprTreeSet`.
`...` | same arguments as function `prefilter`.

### Details

This function applies the different filters initialized with constructor `PreFilter` to the `ExprTreeSet` `xps.expr`.

Slot `minfilters` determines the minimum number of initialized filters, which must be satisfied so that the mask is set to `flag=1`. For `minfilters=1` at least one filter must be satisfied, equivalent to logical ‘OR’; for `minfilters=999` all filters must be satisfied, equivalent to logical ‘AND’.

If method `callFilter` was initialized with constructor `PreFilter` then `CallTreeSet` `xps.call` must be supplied, usually created with function `mas5.call`.

### Value

A `FilterTreeSet`

### Author(s)

Christian Stratowa

### See Also

`PreFilter`, `unifilter`

### Examples

    ## first, load ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## second, create an ExprTreeSet
    data.rma <- rma(data.test3,"tmp_TestRMA",tmpdir="",background="pmonly",normalize=TRUE,verbose=FALSE)
    ## note: do not copy/paste this code, it is necessary only because R CMD check fails since it does not find tmp_TestRMA.root:
    data.rma@rootfile <- paste(.path.package("xps"),"rootdata/tmp_Test3RMA.root",sep="/")
    data.rma@filedir  <- paste(.path.package("xps"),"rootdata",sep="/")

    ## third, construct a PreFilter
    prefltr <- PreFilter(mad=c(0.5,0.01),lothreshold=c(6.0,0.02,"mean"),hithreshold=c(10.5,80.0,"percent"))

    ## finally, create a FilterTreeSet
    rma.pfr <- prefilter(data.rma,"tmp_Test3Prefilter",getwd(),prefltr,2,verbose=FALSE)
    str(rma.pfr)

[Package xps version 1.2.10 Index]